MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007373ardourbugspublic2017-05-25 16:412017-08-01 05:00
Reporterm.eik 
Assigned Totimbyr 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformamd64OSGNU/linuxOS Versionubuntu xenial
Product Version5.9 
Target VersionFixed in Version5.10 
Summary0007373: can't open 4.x session with 5.9
Descriptioni tried to open a session with ardour 5.9 (kxstudio gcc5 packages) that still opens fine with 4.7, but 5.9. only get's me a non-informative error message that the file couldn't be opened using the session's audio/MIDI settings.
Steps To Reproduceopen the *.ardour file with 5.9 always fails (after a *-3001.ardour copy was written). opening it with 4.7 still always works.
Additional Informationthere's nothing really special about the session, it's just a bunch of recorded wav files. starting a new session and importing files works as expected.

btw, "ubuntu linux maverick" was seven years ago ;-)
TagsNo tags attached.
Attached Files? file icon rec01_schwanger.ardour [^] (377,320 bytes) 2017-05-25 16:41

- Relationships

-  Notes
(0019740)
timbyr (developer)
2017-05-25 16:59

The attached Session does indeed fail to load with 5.9.

It seem to load correctly with a build of the master branch though, so it appears the issue is now fixed.

Can you please install a nightly build and confirm. Thanks.
(0019741)
m.eik (reporter)
2017-05-26 02:26

yes, i can confirm it does open with the nightly build. any idea what causes this?

could i manually "fix" the XML file?
(0019742)
timbyr (developer)
2017-05-26 05:49

You should be able to save it with a nightly build and then it should load correctly in 5.9 without the need to edit it manually.

- Issue History
Date Modified Username Field Change
2017-05-25 16:41 m.eik New Issue
2017-05-25 16:41 m.eik File Added: rec01_schwanger.ardour
2017-05-25 16:59 timbyr Note Added: 0019740
2017-05-25 16:59 timbyr Status new => feedback
2017-05-26 02:26 m.eik Note Added: 0019741
2017-05-26 02:26 m.eik Status feedback => new
2017-05-26 05:49 timbyr Note Added: 0019742
2017-08-01 05:00 timbyr Status new => resolved
2017-08-01 05:00 timbyr Fixed in Version => 5.10
2017-08-01 05:00 timbyr Resolution open => fixed
2017-08-01 05:00 timbyr Assigned To => timbyr


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker